
QGIS Application - Bug report #13380

reprojection of lat/long lines across 180 in mercator map fails 

2015-09-18 10:34 PM - Brent Wood

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21432

Description

Lines that cross the 180 meridian are wrapped the long way around the world ONLY when the 180 meridian is outside the map extent.

Project CRS=EPSG:3994 (Mercator 41) for maps in the wider New Zealand region.

Optionally open a raster context layer, eg: ftp://ftp.niwa.co.nz/bathymetry/NZBathy_DTM_ascii-grid.zip

Optionally open a vector context layer: eg: ftp://ftp.niwa.co.nz/bathymetry/NZBathy_shape.zip

Open a +-180 EPSG:4326 WFS layer: URL=http://boi.wms.niwa.co.nz/cgi-bin/acoustic_bw   layer=TransectAll_180

As long as the 180 meridian is inside the QGIS map canvas extent, lines crossing 180 render correctly. If the map is zoomed or scrolled

so that the 180 meridian is outside the canvas extent, the lines wrap across the canvas, essentially traversing the world the long way

around.

This appears under several versions of QGIS & appears OS independent.

Related issues:

Related to QGIS Application - Bug report # 19746: Disappearing -180 / 180 lon... Open 2018-09-01

Duplicated by QGIS Application - Bug report # 18323: Multi-part Polygon is no... Closed 2018-03-03

History

#1 - 2015-10-04 08:55 PM - Brent Wood

can provide some funding - don't know about all though - without a cost estimate.

#2 - 2015-10-10 01:04 PM - Jürgen Fischer

- Category changed from Browser to Projection Support

#3 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#4 - 2016-05-24 01:04 PM - Saber Razmjooei

- Status changed from Open to Feedback

The WFS is down. Could you try with the latest master and report back?

#5 - 2016-06-22 01:07 AM - Giovanni Manghi

- OS version deleted (Mint 17.1/Win7)
- Operating System deleted (Linux/Windows)

- File master.jpg added

- File 214.jpg added

The issue is old, I wrote this paragraph

http://docs.qgis.org/2.8/en/docs/user_manual/working_with_vector/supported_data.html#vector-layers-crossing-180-degrees-longitude

a looong ago.

Anyway see the attached screenshots (master and 2.14.3), now it seems there is another problem in the WFS client in master, if confirmed a new

regression ticket must be filed. Please leave feedback.

#6 - 2017-01-04 06:01 AM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Feedback to Open

Setting it open because there is anyway a lot of room for improvement... is anyway something affects qgis since forever I think.

#7 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#8 - 2018-08-23 09:18 AM - Jürgen Fischer

- Duplicated by Bug report #18323: Multi-part Polygon is not mapped with shortest segments added

#9 - 2018-09-01 11:27 AM - Andreas Neumann

- Related to Bug report #19746: Disappearing -180 / 180 longitude grid lines on certain zoom levels added

#10 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

QGIS_180_OK.png 761 KB 2015-09-18 Brent Wood

qgis_180_error.png 691 KB 2015-09-18 Brent Wood

214.jpg 204 KB 2016-06-21 Giovanni Manghi

master.jpg 171 KB 2016-06-21 Giovanni Manghi
